MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004470ATutor- no cat -public2010-08-09 05:022010-12-20 10:20
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.1 
Summary0004470: replace pref tab table
DescriptionFor mobile theme compatibility, the pref tabs should be replaced. See attached file from alison.
Additional InformationStyles to go with the new layout:

/* Preference Editor tabs */
.etabbed-list-container {
    padding-left:5em;
    font-size:10pt;
    width:90%;
    margin-left:auto;
    margin-right:auto;
    position: relative;
}
.etabbed-list{
    
}
.prefs-tab-spacer {
    background-color: transparent;
    width: 5px;
}
.prefs_buttontab {
    color:0000555;
    font-size:0pt;
    white-space: nowrap;
    background-color: #ffffff;
    margin-bottom: .5px;
    border:0;
    font-weight:500;
    padding:0em 0em 0em;
    border-radius:.3em;
    -moz-border-radius: .3em .3em .3em .3em;

}
.prefs_tab{
    border-top: 1px solid #cccccc;
    border-left: 1px solid #cccccc;
    border-right: 1px solid #cccccc;
    text-align: center;
    white-space: nowrap;
    background-color: #FFFFFF;
    border-radius:.3em;
    -moz-border-radius: .3em .3em 0em 0em;
    padding: 0em 3.5em 0em 3.5em ;
    -moz-box-shadow:.1em .1em 0 #999999;
    box-shadow: .1em .1em 0 #999999;
    display: inline;
    padding-bottom: .9px;
    margin: 1em;
}
    
.prefs_buttontab:hover, .prefs_tab:hover {
      background-color: #eeeeee;
}

.prefs_tab_selected{
    
    border-top: 1px solid #cccccc;
    border-left: 1px solid #cccccc;
    border-right: 1px solid #cccccc;
    border-bottom:0;
      background-color: #eeeeee;
    margin: 0px;
    font-weight:bold;
    text-align:center;
    padding: .5em 3.5em 0em 3.5em ;
    white-space: nowrap;
    text-decoration:none;
    border-radius:.3em;
    -moz-border-radius: .3em .3em 0em 0em;
    -moz-box-shadow:.1em .1em .0 #999999;
    box-shadow: .1em .1em .1em #999999;
    display: inline;
    margin: 1em;


}
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files? file icon pref_tab_functions.inc.php [^] (12,016 bytes) 2010-08-09 05:02

- Relationships

-  Notes
(0004540)
greg (administrator)
2010-08-13 04:43

also see from Armin:
 I installed the mobile theme that Alison developed and I recognized that the addressbar is always
there on the iPhone and Android phone.

To change this I edited header.tmpl.php in the theme and added the following line (around 86)

$this->onload .= "
setTimeout(function() { window.scrollTo(0, 1) }, 100);
";

This make the addressbar go away once the page is loaded. Works on iPhone and Android.

Armin
(0004637)
greg (administrator)
2010-09-23 08:36

replaced pref tabs table layout with Alison's div layout

- Issue History
Date Modified Username Field Change
2010-08-09 05:02 greg New Issue
2010-08-09 05:02 greg File Added: pref_tab_functions.inc.php
2010-08-09 05:02 greg Affects version => SVN
2010-08-13 04:43 greg Note Added: 0004540
2010-08-16 10:29 harris Status new => assigned
2010-08-16 10:29 harris Assigned To => greg
2010-09-23 08:36 greg Status assigned => resolved
2010-09-23 08:36 greg Fixed in Version => 2.0.1
2010-09-23 08:36 greg Resolution open => fixed
2010-09-23 08:36 greg Note Added: 0004637
2010-12-20 10:20 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker